Subject: [bug#57069] Tempel snippets

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 11 Aug 2022 17:53:37 +0200

Am Donnerstag, dem 11.08.2022 um 08:17 +0200 schrieb Nicolas Graves:
> 
> > - I couldn't match a small part of current yasnippet configuration,
> >   currently only the part in uri when url-fetch is chosen. Sent
> >   a "help/feature report" here
> > https://github.com/minad/tempel/issues/65.
> > 
> > If this is possible, we could probably further factorize and
> > integrate the
> > snippets logic, maybe to reach something like that for origin
> > expansion.
> 
> Daniel Mendler confirmed that recursive templates were not supported,
> hence I cannot further improve snippets.  I've sent an updated patch
> with "-build-system" added only once at the end.
> 
> Waiting for them to be adopted ;)
I'll reply to the actual patches with the review.

> PS : it would be great to add a "snippets" output to the guix
> package, so that one can use (file-append guix:snippets "/tempel/")
> to include them in a guix home configuration.
Note that you can (file-append (package-source guix) "etc/snippets")

Cheers